List sender addresses

GET/api/v2/sender_addresses

Returns all active sender addresses for the authenticated user.

Authorization

Add HTTP header Authorization with the received API key as the bearer token:

Authorization
API Key

Response

Response body

Content-Type
application/json
Body
PropertyTypeDescription
sender_addresses
List of sender addresses for the authenticated user
required
address
Specifies the full legal address of a business or person, including street, house number, zip code, city, and country for a shipment.
required
default
boolean
Whether this is the default sender address
required
id
string
UUID of the sender address
required
uuid
name
string
Display name of the sender address
required
shipper
boolean
Whether this address is marked as shipper
required

Response body example

JSON
{
  "sender_addresses": [
    {
      "address": {
        "address2": "Apt 202",
        "business_name": "Wuunder",
        "city": "Amsterdam",
        "country_code": "NL",
        "email_address": "info@wearewuunder.com",
        "eori_number": "GB123456789000",
        "family_name": "Henk",
        "given_name": "Henk",
        "house_number": "22-A",
        "id": "d1dcceb0-0796-43bb-bcc1-67aedbf0b436",
        "phone_number": "+31612345678",
        "state_code": "NY",
        "street_name": "Berglaan",
        "vat": "NL000099998B57",
        "zip_code": "2211AA",
        "type": "consumer"
      },
      "default": true,
      "id": "4a2a1a78-6b9a-43af-887e-2adc7d415e7a",
      "name": "string",
      "shipper": true
    }
  ]
}